<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Coding Train: Data and APIs Project 1</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@4.4.2/dist/chart.umd.min.js" ></script>
</head>
  <body>
    Open the JavaScript Console to see the output.
    <canvas id="myChart" width="400" height="190"></canvas>
    <script>

        // Data from: https://data.giss.nasa.gov/gistemp/
        // Mean from: https://earthobservatory.nasa.gov/world-of-change/DecadalTemp

        const xs = [];
        const ys = [];

        chartIt();
        async function chartIt() {
            const data = await getData();
            const ctx = document.getElementById('myChart').getContext('2d');
            const myChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: data.xs,
                    datasets: [
                        {
                            label: 'Combined Land-Surface Air and Sea-Surface Water Temperature in C°',
                            data: data.ys,
                            fill: false,
                            borderColor: '#FF6384',
                            backgroundColor: '#FFB1C1',
                            borderWidth: 1
                        }
                    ]
                },
                options: {
                    scales: {
                        y: {
                            ticks: {
                                callback: function(value, index, ticks) {
                                    return value + '°';
                                }
                            }
                        }
                    }
                }
            });
        }
             
    getData();

    async function getData() {
        const response = await fetch('ZonAnn.Ts+dSST.csv');
        const data = await response.text();
        
        const table = data.split('\n').slice(1);
        table.forEach(row => {
            const columns = row.split(',');
            const year = columns[0];
            xs.push(year);
            const temp = columns[1];
            ys.push(parseFloat(temp) + 14);
            console.log(year, temp);
        });
        return {xs, ys};
    }
    
    </script>
  </body>
</html>